OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000238OMNeT++IDE / NED editorpublic2011-01-21 14:202011-05-27 13:40
Reporterjeromerousselot 
Assigned Torhornig 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.1 
Target VersionFixed in Version 
Summary0000238: Switching from ned file to C++ file ignores @class property
DescriptionThe omnet IDE allows to easily view the C++ code of a NED module by using the Ctrl-TAB shortcut.
However, when working with a NED module B that extends another NED module A, the shortcut goes to the C++ code associated with this other NED module A. This is the desired behaviour if there is no associated C++ code for module B. But sometimes this B module will also have associated C++ code, and this is indicated in the NED module with the @class(B) statement.
As far as I know, the @class(B) statement is always ignored.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000367)
rhornig (administrator)
2011-01-21 14:56

After testing I think the bug is a bit different. Having an inheritance chain:

A extends B extends C

if no @class is specified then the IDE opened A.h instead of C.h if CTRL-TAB is pressed on A.

On the other hand if B has @class(B) and C has @class(C) then it goes C.h while it should go to B.h (the first one with @class in the inheritance chain).

Fixed the issue with stopping at the first @class and falling back to the END of the inheritance chain if no @class is present.
(0000405)
jeromerousselot (reporter)
2011-03-04 11:49

I found a problem when testing this with omnet++4.2b1.
In MiXiM (http://mixim.sourceforge.net [^]), if I open the csma.ned (in modules/mac) and try ctrl-tab, I obtain the following error message:

Information
The chosen operation is not enabled.

If I open the csma.h and csma.cc files, then the feature works.
If I close these two .h and .cc files, the feature continues to work.

I also obtained another error message: "Could not find the c++ class" or something like this. I cannot get it again. Now I closed omnet and restarted it, and I don't get any error, but the source files don't open.

A related problem: when opening a ned file, it is initially in design mode. In that view, the ctrl-tab feature does not work.
(0000464)
rhornig (administrator)
2011-05-27 13:40

The CTRL-TAB behavior is modified to be able to use it even after opening the NED file (without selecting a ned element first). It opens the first simple module in this case.

- Issue History
Date Modified Username Field Change
2011-01-21 14:20 jeromerousselot New Issue
2011-01-21 14:56 rhornig Note Added: 0000367
2011-01-21 14:56 rhornig Status new => resolved
2011-01-21 14:56 rhornig Fixed in Version => 4.2b1
2011-01-21 14:56 rhornig Resolution open => fixed
2011-01-21 14:56 rhornig Assigned To => rhornig
2011-03-04 11:49 jeromerousselot Note Added: 0000405
2011-03-04 11:49 jeromerousselot Status resolved => feedback
2011-03-04 11:49 jeromerousselot Resolution fixed => reopened
2011-05-27 13:40 rhornig Note Added: 0000464
2011-05-27 13:40 rhornig Status feedback => resolved
2011-05-27 13:40 rhornig Fixed in Version 4.2b1 => 4.2b3
2011-05-27 13:40 rhornig Resolution reopened => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker